
QGIS Application - Bug report #3058

print composer: exporting to PDF does not resize correctly vectors if symbology is in mm. Works 

fine if units are map units.

2010-09-28 03:34 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 13118

Description

Add a point vector layer and in ita symbology assign to it a pretty large size in millimeters.

Open the print composer and export to PDF: the size of points does not scale as in the composer/canvas.

Same process, but now define the size in map units instead of mm: exporting to PDF produce a correct result.

History

#1 - 2010-10-02 05:55 AM - Marco Hugentobler

Do you mean it does not scale the same relatively to the background map? 

That's because if you specify the size as e.g. 10 mm, it will be 10mm on screen and 10mm in printout.

#2 - 2010-10-03 04:22 PM - Giovanni Manghi

I'm using the new symbology. If I set a point as a circle symbol with 15mm of diameter, on screen (in the canvas and in the composer) I can measure 11m,

then on paper (printing as PDF) I can measure 14mm.

In general there is a 1mm difference between what was set in the symbology properties and the paper. For my uses it is ok, maybe for others it is not.

On screen the measure doesn't seems to be the same as the one set in the symbology properties (20mm become 14.5mm, 50mm become 37mm, etc.).

#3 - 2010-10-17 02:21 AM - Giovanni Manghi

see also #3125

#4 - 2010-10-29 05:55 AM - Marco Hugentobler

I tested on several machines, and the printer output was usually close to 15 mm. On screen, I had different results, it was correct on some and wrong on

others (e.g. 11 mm instead of 15). I think this might be do to the fact that the x-server (and thus Qt) does not always give the correct dpi number.

#5 - 2010-12-12 07:23 AM - Giovanni Manghi

see also #2635
#6 - 2011-01-12 05:58 AM - michele zanolli

I attached two PDF exported with the composer.

They both represent the same area at the same scale (1:5000) on the same page size (A4).

The only difference is the quality (100dpi and 300dpi)

As you can see, they are very different, but they should be identical!

I think that the 300dpi PDF is a bigger image resized to fit the 1:5000 scale. I think that this is wrong!

#7 - 2011-01-12 06:04 AM - michele zanolli

Sorry, my attachments are a little box of the original PDFs

#8 - 2011-12-13 07:59 PM - Alister Hood

- Pull Request or Patch supplied set to No

Is #3786 (fixed in Trunk) a duplicate of this?

#9 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#10 - 2012-02-11 02:31 PM - Giovanni Manghi

- Status changed from Open to Closed

- Crashes QGIS or corrupts data set to No

- Status info deleted (0)

- Resolution set to duplicate

- Affected QGIS version set to master

- Operating System deleted (All)

Now I see the same symbol size in both the canvas and the pdf output, so it was duplicate of #3786 or fixed since I filed the ticket.

Files

5000_100dpi.png 60.7 KB 2011-01-12 michele zanolli

5000_300dpi.png 55.3 KB 2011-01-12 michele zanolli
